PHP Handbuch
Zurück | Kapitel 3. Installation | Nach vorne

# Unix/Mac OS X Installationen

Dieser Abschnitt enthält Anmerkungen und Hinweise zur Installation von PHP auf dem Mac OS X Server.

## Pakete verwenden

Es gibt ein paar vorgefertigte und kompilierte Pakete von PHP für Mac OS X. Das ist hilfreich um eine Standardkonfiguration aufzusetzen, doch sollten Sie eine davon abweichende Konfiguration benötigen (wie z.B. einen Secure Server oder einen anderen Datenbanktreiber), müssen Sie evtl. PHP und/oder Ihren Webserver selbst erstellen. Wenn Sie mit dem Erstellen und Kompilieren Ihrer Software nicht vertraut sind, sollten Sie sich nach einer von jemand anders bereits erstellten Paketversion von PHP mit den von Ihnen benötigten Features umsehen.

## Kompilieren für OS X Server

Es gibt zwei leicht unterschiedliche Versionen von Mac OS X, den Client und den Server. Die folgende Beschreibung ist für OS X Server.

Beispiel 3-1. Mac OS X Server Installation
    1. Beschaffen Sie sich die aktuellen Distributionen von Apache und PHP
    2. Untar'en Sie sie, und starten configure an Apache wie folgt
        ./configure --exec-prefix=/usr \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --libexecdir=/System/Library/Apache/Modules \
        --iconsdir=/System/Library/Apache/Icons \
        --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
        --enable-shared=max \
        --enable-module=most \
        --target=apache

    4. Sie können auch folgende Zeile hinzufügen:
        setenv OPTIM=-O2
        Wenn Sie wollen, dass der Compiler Optimierungen durchführt.

    5. Wechseln Sie in das Verzeichnis mit dem PHP Source und führen configure aus
        ./configure --prefix=/usr \
        --sysconfdir=/etc \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --with-xml \
        --with-apache=/src/apache_1.3.12

        Wenn Sie andere Ergänzungen haben (MySQL, GD, etc.), fügen Sie diese
        hier hinzu. Geben Sie bei der Option --with-apache den Pfad zu dem
        Verzeichnis mit Ihrem Apache Source an, z.B. "/src/apache_1.3.12".
    6. make
    7. make install
        Dies fügt Ihrem Apache Source Verzeichnis das Verzeichnis
        src/modules/php4 hinzu.

    8. Nun konfigurieren Sie Apache neu, inkl. PHP 4 Modul.
        ./configure --exec-prefix=/usr \
        --localstatedir=/var \
        --mandir=/usr/share/man \
        --libexecdir=/System/Library/Apache/Modules \
        --iconsdir=/System/Library/Apache/Icons \
        --includedir=/System/Library/Frameworks/Apache.framework/Versions/1.3/Headers \
        --enable-shared=max \
        --enable-module=most \
        --target=apache \
        --activate-module=src/modules/php4/libphp4.a

        Sollten Sie eine Meldung erhalten, dass libmodphp4.a nicht mehr gültig ist,
        wechseln Sie in Ihrem Apache Source Verzeichnis zu src/modules/php4 und
        führen folgenden Befehl aus:

        ranlib libmodphp4.a

        Gehen Sie dann in das Hauptverzeichnis des Apache Source zurück, und führen
        den obigen configure Befehl erneut aus. Das aktualisiert die Linktabelle.

    9. make

    10. make install

    11. Kopieren Sie die Datei php.ini-dist von Ihrem Verzeichnis mit dem PHP 4
        Source in Ihr "bin" Verzeichnis, und benennen Sie sie um:
        cp php.ini-dist /usr/local/bin/php.ini

        oder (wenn Sie kein lokales Verzeichnis haben)

        cp php.ini-dist /usr/bin/php.ini

## Kompilieren für MacOS X Client

Diese Tipps wurden freundlicherweise von Marc Liyanage zur Verfügung gestellt.

Das PHP Modul für den Apache Webserver ist in Mac OS X inkludiert. Diese Version unterstützt die MySQL und PostgreSQL Datenbanken.

Anmerkung: Vorsicht wenn Sie dies tun, Sie könnten Ihren Apache Webserver vermurksen!

Installationsschritte:

- 1. Öffnen Sie ein Terminalfenster

- 2. Geben Sie "wget http://www.diax.ch/users/liyanage/software/macosx/libphp4.so.gz" ein, und warten Sie bis der Download beendet ist

- 3. Geben Sie "gunzip libphp4.so.gz" ein

- 4. Geben Sie "sudo apxs -i -a -n php4 libphp4.so" ein

Nun geben Sie "`sudo open -a TextEdit /etc/httpd/httpd.conf`" ein. TextEdit öffnet daraufhin die Konfigurationsdatei des Webservers. Suchen Sie diese beiden Zeilen in Richtung Dateiende: (Benutzen Sie den Befehl Find)

    #AddType application/x-httpd-php .php
       #AddType application/x-httpd-php-source .phps

Entfernen Sie die beiden Rautezeichen (`#`), speichern die Datei, und beenden TextEdit.

Starten Sie mit "`sudo apachectl graceful`" den Webserver neu.

PHP sollte nun laufen. Sie können dies testen, indem Sie in Ihrem Verzeichnis "Sites" eine Datei mit dem Namen "test.php" erstellen und folgende Zeile hineinschreiben: "`<?php phpinfo() ?>`".

Nun öffnen Sie `127.0.0.1/~your_username/test.php` in Ihrem Webbrowser. Sie sollten nun eine Tabelle mit Informationen über das PHP Modul sehen.

Zurück | Zum Anfang | Nach vorne
Unix/Linux Installationen | Nach oben | Unix/OpenBSD Installation